Create a simulated debit payment

The endpoint is used for initiating a simulated debit payment (sandbox only)

The debit endpoint allows you to simulate an outgoing processed payment, bypassing the initiation steps. The payment will be created with payment status processed.

Payment lifecycle

After successful creation, the payment will follow the same lifecycle as a payment in production.

In other words, it will appear in reports, in relevant endpoints (e.g. GET /api/v1/payments/singles) and trigger notifications if set up (e.g. OutgoingPaymentBooked and OutgoingPaymentProcessed)

Payment rails

You can simulate which payment rail is used to make the payment by setting the scheme parameter. The following options are currently supported.

For EUR payments:

  • SEPA_DD - SEPA Direct Debit

For GBP payments:

  • BACS_DD - BACS Direct Debit

Note: the currency field must match the scheme currency, otherwise the endpoint will return a validation error.

FX conversions

To simulate an FX conversion, simply select a debtorAccount that has a different currency than the scheme / amount currency set.

Finding the payment after creation

To easily find a payment after creation, use the remittanceInformationLine1 field which is returned in the 200 success response.

Note: due to system limitations, we cannot immediately return a payment ID or transaction reference

Body Params

Simulate debit payment request information

Simulated payment creation request object

debtorAccount
object
required

Account of the debtor

string | null

Account of ultimate debtor


If provided the payment is simulated as an agency banking payment.

string | null

Financial institution of ultimate debtor


If provided the payment is simulated as an agency banking payment.

string

Date representation

Format: ISO 8601 | YYYY-MM-DD

Example: 2001-01-28

amount
object

An amount

string
required

The payment scheme to use for the simulated payment


Valid values:

* SEPA_DD (amount currency must be set to EUR)

* BACS_DD (amount currency must be set to GBP)

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Choose an example:
application/json